Subject: Re: gentiana germination

From: [email-masked] (Donna Maroni)
Date: 15 Mar 1995 22:35:02 GMT

I've germinated several species of gentians.  They need two months cold 
treatment (refrigerate), then 70 - 75 deg. F and darkness.  They are said 
to be "slow and irregular" so when a few germinate, keep up your hopes 
for more!  Good luck.  

Joe Gray ([email-masked]) wrote:

:   I have tried for the last several years to grow Gentiana from 
: seed and have not been able to get it to germinate. I have
: some seed, which I believe to be fresh and which I have had
: in the fridge for two months. The seed is G. angustifolia and
: G. asclepiadea.  In the past I have started gentiana in peat pots 
: with a soiless mix.  They are kept moist with a cover lid to keep 
: the humidity up. Has anyone been able to get Gentiana to grow from 
: seed?  Is there any special steps that need to be followed?

: Joe Gray
: [email-masked]